<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\SubscriptionRequest;
use App\Models\Transfer;
use App\Models\User;
use App\Models\Package;
use Carbon\Carbon;
use Illuminate\Http\Request;
use JWTAuth;

class SubscriptionController extends Controller
{
    public function subscribePackage(SubscriptionRequest $request)
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token')]);

        }
        
        
        $transfer = new Transfer();
        $transfer->user_id = $user->id;
        $transfer->package_id = $request['package_id'];
        $transfer->bank_id = $request['bank_id'];
        $transfer->status = 'new';
        $transfer->bank_name = $request['bank_name'];
        $transfer->amount = $request['amount'];
        $transfer->transfer_number = $request['transfer_number'];
        $transfer->transfer_date = Carbon::parse($request['transfer_date']);
        $transfer->transfer_owner = $request['transfer_owner'];
        if ($request->hasFile('image')) $transfer->setImageAttribute();
        $transfer->save();
        
        
        $package = Package::find($request['package_id']);
        $user = User::find($user->id);
        $user['end_subscription'] = Carbon::now()->addDay($package->duration)->format('Y-m-d');
        $user->save();
        
        return  response()->json(['value'=>true,'data'=>\Lang::get('data.sentAdminApprove')]);



    }
}
