<?php

namespace App\Http\Requests\Api;

use App\Http\Requests\REQUEST_API_PARENT;
use Illuminate\Foundation\Http\FormRequest;
use JWTAuth;

class UpdateProfileRequest extends REQUEST_API_PARENT
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token')]);

        }
        if (request()->email != '-1') {
            $emailValidation = 'nullable|max:191|unique:users,email,' . $user->id;
        } else {
            $emailValidation = 'nullable';
        }
        return [
            'image' => 'image',
            'name' => 'nullable|max:191',
            'email' => $emailValidation,
            'mobile' => 'nullable|unique:users,mobile,' . $user->id,
            'city_id' => 'nullable|exists:cities,id'
        ];
    }
}
