<?php $__env->startSection('title', 'مقدمي الخدمات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">مقدمي الخدمات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('providers.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم</label>
                                <input type="text" class="form-control" value="<?php echo e(old('name')); ?>" required name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم">
                                <?php if($errors->has('name')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control"  value="<?php echo e(old('email')); ?>" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                <?php if($errors->has('email')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('email')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="<?php echo e(old('mobile')); ?>" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                <?php if($errors->has('mobile')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('mobile')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">المدينة</label>
                                <select name="city_id" class="form-control" required>
                                    <option disabled selected> إختر مدينة</option>
                                    <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($city->id); ?>"<?php echo e(old('city_id') == $city->id ? "selected" :''); ?>><?php echo e($city->title['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">القسم</label>
                                <select name="category_id" class="form-control" required>
                                    <option disabled selected> إختر قسم</option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($category->id); ?>"<?php echo e(old('category_id') == $category->id ? "selected" :''); ?>><?php echo e($category->title['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الإشتراك</label>
                                <select name="subscription_id" class="form-control" required>
                                    <option disabled selected> إختر إشتراك</option>
                                    <?php $__currentLoopData = $subscriptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($subscription->id); ?>"<?php echo e(old('subscription_id') == $subscription->id ? "selected" :''); ?>><?php echo e($subscription->title['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الحالة</label>
                                <select name="status" class="form-control" required>

                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">موافقة الإدارة</label>
                                <select name="admin_accept" class="form-control" required>

                                    <option value="true">مفعل</option>
                                    <option value="false">غير مفعل</option>
                                </select>
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">الرقم السري</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="الرقم السري"
                                       value="<?php echo e(old('password')); ?>" required>
                            </div>
                            <?php if($errors->has('password')): ?>
                                <small class="text-danger"><?php echo e($errors->first('password')); ?></small>
                            <?php endif; ?>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="profile_image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                <?php if($errors->has('profile_image')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('profile_image')); ?></small>
                                <?php endif; ?>
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/flxawy/resources/views/admin/providers/create.blade.php ENDPATH**/ ?>